edu.isi.pegasus.planner.catalog.site.classes

## Enum GridGateway.TYPE

- java.lang.Object
- - java.lang.Enum<GridGateway.TYPE>
  - - edu.isi.pegasus.planner.catalog.site.classes.GridGateway.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GridGateway.TYPE>

Enclosing class:
  GridGateway

    public static enum GridGateway.TYPE
    extends java.lang.Enum<GridGateway.TYPE>

An enumeration of valid types of grid gateway.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`batch`
`condor`
`cream`
`deltacloud`
`ec2`
`gt2`
`gt4`
`gt5`
`lsf`
`nordugrid`
`pbs`
`sge`
`unicore`

### Method Summary

All Methods Static Methods Concrete Methods
`static GridGateway.TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GridGateway.TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### gt2

    public static final GridGateway.TYPE gt2

#### gt4

    public static final GridGateway.TYPE gt4

#### gt5

    public static final GridGateway.TYPE gt5

#### condor

    public static final GridGateway.TYPE condor

#### cream

    public static final GridGateway.TYPE cream

#### batch

    public static final GridGateway.TYPE batch

#### pbs

    public static final GridGateway.TYPE pbs

#### lsf

    public static final GridGateway.TYPE lsf

#### sge

    public static final GridGateway.TYPE sge

#### nordugrid

    public static final GridGateway.TYPE nordugrid

#### unicore

    public static final GridGateway.TYPE unicore

#### ec2

    public static final GridGateway.TYPE ec2

#### deltacloud

    public static final GridGateway.TYPE deltacloud

### Method Detail

#### values

    public static GridGateway.TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridGateway.TYPE c : GridGateway.TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridGateway.TYPE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null